﻿Partial Class CustomerDataSet
    Partial Class CustomerDataTable

        Private Sub CheckLastName(ByVal row As CustomerRow)
            If row.IsNull("LastName") OrElse row.LastName = "" Then
                row.SetColumnError(Me.LastNameColumn, "Please enter a last name")

            Else
                row.SetColumnError(Me.LastNameColumn, "")
            End If
        End Sub

        Private Sub CustomerDataTable_ColumnChanged(ByVal sender As Object, ByVal e As System.Data.DataColumnChangeEventArgs) Handles Me.ColumnChanged
            If e.Column Is Me.LastNameColumn Then
                Me.CheckLastName(CType(e.Row, CustomerRow))
            End If
        End Sub

        Private Sub CustomerDataTable_TableNewRow(ByVal sender As Object, ByVal e As System.Data.DataTableNewRowEventArgs) Handles Me.TableNewRow
            Me.CheckLastName(CType(e.Row, CustomerRow))
        End Sub
    End Class

End Class
