﻿Class Window1

    Private CustomerData As New CustomerDataSet
    Private taCust As New CustomerDataSetTableAdapters.CustomerTableAdapter
    Private taManager As New CustomerDataSetTableAdapters.TableAdapterManager
    Private View As CollectionView

    Private Sub Window1_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Me.taCust.Fill(Me.CustomerData.Customer)
        Me.taManager.CustomerTableAdapter = taCust

        Me.DataContext = Me.CustomerData.Customer

        Me.View = CType(CollectionViewSource.GetDefaultView(Me.CustomerData.Customer), CollectionView)

    End Sub



    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnAdd.Click
        If Not Me.CustomerData.HasErrors Then
            Dim row = Me.CustomerData.Customer.NewCustomerRow()

            row.LastName = ""

            Me.CustomerData.Customer.AddCustomerRow(row)
            Me.View.MoveCurrentToLast()
        End If


    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnSave.Click
        Try
            If Me.CustomerData.HasErrors Then
                MsgBox("Please correct the errors first")
            Else
                If Me.CustomerData.HasChanges Then
                    If Me.taManager.UpdateAll(Me.CustomerData) > 0 Then
                        MsgBox("Saved.")
                    End If
                End If
            End If

        Catch ex As Exception
            MsgBox(ex.ToString())
        End Try
    End Sub
End Class
